Changeset 2882


Ignore:
Timestamp:
Sep 12, 2013 12:20:46 AM (6 years ago)
Author:
tkr
Message:

Re-running autotools

Location:
ThirdParty/FilterSQP/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/Makefile.in

    r2124 r2882  
    202202ac_ct_CXX = @ac_ct_CXX@
    203203ac_ct_F77 = @ac_ct_F77@
     204ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    204205ac_ct_RANLIB = @ac_ct_RANLIB@
    205206ac_ct_STRIP = @ac_ct_STRIP@
    206207ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    207 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    208208am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    209209am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/FilterSQP/trunk/configure

    r2624 r2882  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10841084                          icl/link). Default when mentioned: mingw. Default
    10851085                          when not mentioned: disabled.
     1086
    10861087  --disable-pkg-config    disable use of pkg-config (if available)
    10871088  --disable-dependency-tracking  speeds up one-time build
     
    19221923echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19231924  fi
     1925
     1926
     1927# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1928if test "${enable_static_standardlibs+set}" = set; then
     1929  enableval="$enable_static_standardlibs"
     1930  case "$enableval" in
     1931     no | yes | auto ) ;;
     1932     *)
     1933       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1934echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1935   { (exit 1); exit 1; }; } ;;
     1936   esac
     1937   use_static_standardlibs=$enableval
     1938else
     1939  use_static_standardlibs=no
     1940fi;
     1941
    19241942
    19251943
     
    27642782echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    27652783    fi ;;
     2784  * )
     2785    CYGPATH_W=echo
     2786    ;;
    27662787esac
    27672788CFLAGS="$save_cflags"
     
    28762897          clang* ) ;;
    28772898          cl* | */cl* | CL* | */CL*)
    2878             coin_opt_cflags='-MT -O2'
     2899            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2900              coin_opt_cflags='-MD -O2'
     2901              coin_dbg_cflags='-MDd'
     2902            else
     2903              coin_opt_cflags='-MT -O2'
     2904              coin_dbg_cflags='-MTd'
     2905            fi
    28792906            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2880             coin_dbg_cflags='-MTd'
    28812907            ;;
    28822908          icl* | */icl* | ICL* | */ICL*)
    2883             coin_opt_cflags='-MT -Ox'
     2909            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2910              coin_opt_cflags='-MD -Ox'
     2911              coin_dbg_cflags='-MDd -debug'
     2912            else
     2913              coin_opt_cflags='-MT -Ox'
     2914              coin_dbg_cflags='-MTd -debug'
     2915            fi
    28842916            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2885             coin_dbg_cflags='-MTd -debug'
    28862917            ;;
    28872918        esac
     
    30483079    CFLAGS="$OPT_CFLAGS"
    30493080  fi
     3081
    30503082else
    30513083  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32163248esac
    32173249
     3250# check whether to add flags for static linking against standard libraries to LDFLAGS
     3251if test x$use_static_standardlibs != xno ; then
     3252  case $build in
     3253    *-mingw*)
     3254      static_standardlib_flag=-static
     3255      ;;
     3256    *)
     3257      static_standardlib_flag=-static-libgcc
     3258      ;;
     3259  esac
     3260  case " $LDFLAGS " in
     3261    *" $static_standardlib_flag "* ) ;;
     3262    *)
     3263    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3264echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3265    coin_save_LDFLAGS="$LDFLAGS"
     3266    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3267    cat >conftest.$ac_ext <<_ACEOF
     3268/* confdefs.h.  */
     3269_ACEOF
     3270cat confdefs.h >>conftest.$ac_ext
     3271cat >>conftest.$ac_ext <<_ACEOF
     3272/* end confdefs.h.  */
     3273
     3274int
     3275main ()
     3276{
     3277int i=0;
     3278  ;
     3279  return 0;
     3280}
     3281_ACEOF
     3282rm -f conftest.$ac_objext conftest$ac_exeext
     3283if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3284  (eval $ac_link) 2>conftest.er1
     3285  ac_status=$?
     3286  grep -v '^ *+' conftest.er1 >conftest.err
     3287  rm -f conftest.er1
     3288  cat conftest.err >&5
     3289  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3290  (exit $ac_status); } &&
     3291         { ac_try='test -z "$ac_c_werror_flag"
     3292                         || test ! -s conftest.err'
     3293  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3294  (eval $ac_try) 2>&5
     3295  ac_status=$?
     3296  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3297  (exit $ac_status); }; } &&
     3298         { ac_try='test -s conftest$ac_exeext'
     3299  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3300  (eval $ac_try) 2>&5
     3301  ac_status=$?
     3302  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3303  (exit $ac_status); }; }; then
     3304  echo "$as_me:$LINENO: result: yes" >&5
     3305echo "${ECHO_T}yes" >&6
     3306else
     3307  echo "$as_me: failed program was:" >&5
     3308sed 's/^/| /' conftest.$ac_ext >&5
     3309
     3310echo "$as_me:$LINENO: result: no" >&5
     3311echo "${ECHO_T}no" >&6
     3312       LDFLAGS="$coin_save_LDFLAGS"
     3313       if test $use_static_standardlibs = yes ; then
     3314         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3315echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3316   { (exit 1); exit 1; }; }
     3317       fi
     3318
     3319fi
     3320rm -f conftest.err conftest.$ac_objext \
     3321      conftest$ac_exeext conftest.$ac_ext
     3322    ;;
     3323  esac
     3324fi
     3325
    32183326ac_ext=c
    32193327ac_cpp='$CPP $CPPFLAGS'
     
    32363344  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32373345 esac
     3346
    32383347
    32393348
     
    34513560
    34523561# Provide some information about the compiler.
    3453 echo "$as_me:3453:" \
     3562echo "$as_me:3562:" \
    34543563     "checking for Fortran 77 compiler version" >&5
    34553564ac_compiler=`set X $ac_compile; echo $2`
     
    36663775        case $F77 in
    36673776          ifort* | */ifort* | IFORT* | */IFORT* )
    3668             coin_opt_fflags='-MT -O3'
     3777            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3778              coin_opt_fflags='-MD -O3'
     3779              coin_dbg_fflags='-MDd -debug'
     3780            else
     3781              coin_opt_fflags='-MT -O3'
     3782              coin_dbg_fflags='-MTd -debug'
     3783            fi
    36693784            coin_add_fflags='-fpp -nologo'
    3670             coin_dbg_fflags='-MTd -debug'
    36713785          ;;
    36723786          compile_f2c*)
    3673             coin_opt_fflags='-MT -O2'
     3787            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3788              coin_opt_fflags='-MD -O2'
     3789              coin_dbg_fflags='-MDd'
     3790            else
     3791              coin_opt_fflags='-MT -O2'
     3792              coin_dbg_fflags='-MTd'
     3793            fi
    36743794            coin_add_fflags='-nologo -wd4996'
    3675             coin_dbg_fflags='-MTd'
    36763795          ;;
    36773796        esac
     
    38183937    FFLAGS="$OPT_FFLAGS"
    38193938  fi
     3939
    38203940else
    38213941  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39604080esac
    39614081
     4082# check whether to add flag for static linking against standard libraries to LDFLAGS
     4083if test x$use_static_standardlibs != xno ; then
     4084  case $build in
     4085    *-mingw*)
     4086      static_standardlib_flag=-static
     4087      ;;
     4088    *)
     4089      static_standardlib_flag=-static-libgfortran
     4090      ;;
     4091  esac
     4092  case " $LDFLAGS " in
     4093    *" $static_standardlib_flag "* ) ;;
     4094    *)
     4095    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4096echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4097    coin_save_LDFLAGS="$LDFLAGS"
     4098    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4099    cat >conftest.$ac_ext <<_ACEOF
     4100      program main
     4101      integer i
     4102      end
     4103_ACEOF
     4104rm -f conftest.$ac_objext conftest$ac_exeext
     4105if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4106  (eval $ac_link) 2>conftest.er1
     4107  ac_status=$?
     4108  grep -v '^ *+' conftest.er1 >conftest.err
     4109  rm -f conftest.er1
     4110  cat conftest.err >&5
     4111  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4112  (exit $ac_status); } &&
     4113         { ac_try='test -z "$ac_f77_werror_flag"
     4114                         || test ! -s conftest.err'
     4115  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4116  (eval $ac_try) 2>&5
     4117  ac_status=$?
     4118  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4119  (exit $ac_status); }; } &&
     4120         { ac_try='test -s conftest$ac_exeext'
     4121  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4122  (eval $ac_try) 2>&5
     4123  ac_status=$?
     4124  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4125  (exit $ac_status); }; }; then
     4126  echo "$as_me:$LINENO: result: yes" >&5
     4127echo "${ECHO_T}yes" >&6
     4128else
     4129  echo "$as_me: failed program was:" >&5
     4130sed 's/^/| /' conftest.$ac_ext >&5
     4131
     4132echo "$as_me:$LINENO: result: no" >&5
     4133echo "${ECHO_T}no" >&6
     4134       LDFLAGS="$coin_save_LDFLAGS"
     4135       if test $use_static_standardlibs = yes ; then
     4136         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4137echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4138   { (exit 1); exit 1; }; }
     4139       fi
     4140
     4141fi
     4142rm -f conftest.err conftest.$ac_objext \
     4143      conftest$ac_exeext conftest.$ac_ext
     4144    ;;
     4145  esac
     4146fi
     4147
    39624148ac_ext=c
    39634149ac_cpp='$CPP $CPPFLAGS'
     
    40224208ac_save_FFLAGS=$FFLAGS
    40234209FFLAGS="$FFLAGS $ac_verb"
    4024 (eval echo $as_me:4024: \"$ac_link\") >&5
     4210(eval echo $as_me:4210: \"$ac_link\") >&5
    40254211ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40264212echo "$ac_f77_v_output" >&5
     
    41004286ac_save_FFLAGS=$FFLAGS
    41014287FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4102 (eval echo $as_me:4102: \"$ac_link\") >&5
     4288(eval echo $as_me:4288: \"$ac_link\") >&5
    41034289ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41044290echo "$ac_f77_v_output" >&5
     
    48695055  use_pkgconfig="$enableval"
    48705056else
    4871   use_pkgconfig=yes
     5057  if test x$coin_cc_is_cl = xtrue; then
     5058     use_pkgconfig=no
     5059   else
     5060     use_pkgconfig=yes
     5061   fi
    48725062fi;
    48735063
     
    48795069echo "$as_me:$LINENO: checking for $ac_word" >&5
    48805070echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4881 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     5071if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    48825072  echo $ECHO_N "(cached) $ECHO_C" >&6
    48835073else
    4884   case $PKG_CONFIG in
    4885   [\\/]* | ?:[\\/]*)
    4886   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    4887   ;;
    4888   *)
    4889   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     5074  if test -n "$PKG_CONFIG"; then
     5075  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     5076else
     5077as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    48905078for as_dir in $PATH
    48915079do
     
    48945082  for ac_exec_ext in '' $ac_executable_extensions; do
    48955083  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4896     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     5084    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    48975085    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    48985086    break 2
     
    49015089done
    49025090
    4903   ;;
    4904 esac
    4905 fi
    4906 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    4907 
     5091fi
     5092fi
     5093PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    49085094if test -n "$PKG_CONFIG"; then
    49095095  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    49155101
    49165102fi
    4917 if test -z "$ac_cv_path_PKG_CONFIG"; then
    4918   ac_pt_PKG_CONFIG=$PKG_CONFIG
     5103if test -z "$ac_cv_prog_PKG_CONFIG"; then
     5104  ac_ct_PKG_CONFIG=$PKG_CONFIG
    49195105  # Extract the first word of "pkg-config", so it can be a program name with args.
    49205106set dummy pkg-config; ac_word=$2
    49215107echo "$as_me:$LINENO: checking for $ac_word" >&5
    49225108echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4923 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     5109if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    49245110  echo $ECHO_N "(cached) $ECHO_C" >&6
    49255111else
    4926   case $ac_pt_PKG_CONFIG in
    4927   [\\/]* | ?:[\\/]*)
    4928   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    4929   ;;
    4930   *)
    4931   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     5112  if test -n "$ac_ct_PKG_CONFIG"; then
     5113  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     5114else
     5115as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    49325116for as_dir in $PATH
    49335117do
     
    49365120  for ac_exec_ext in '' $ac_executable_extensions; do
    49375121  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4938     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     5122    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    49395123    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    49405124    break 2
     
    49435127done
    49445128
    4945   ;;
    4946 esac
    4947 fi
    4948 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    4949 
    4950 if test -n "$ac_pt_PKG_CONFIG"; then
    4951   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    4952 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     5129fi
     5130fi
     5131ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     5132if test -n "$ac_ct_PKG_CONFIG"; then
     5133  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     5134echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    49535135else
    49545136  echo "$as_me:$LINENO: result: no" >&5
     
    49565138fi
    49575139
    4958   PKG_CONFIG=$ac_pt_PKG_CONFIG
    4959 else
    4960   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     5140  PKG_CONFIG=$ac_ct_PKG_CONFIG
     5141else
     5142  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    49615143fi
    49625144
     
    60846266# START
    60856267
     6268coin_disable_shared=no
    60866269# Test if force_shared has been set
    60876270if test "x" = xforce_shared; then
     
    60956278  # On Cygwin and AIX, building DLLs doesn't work
    60966279  case $build in
    6097     *-cygwin*)
     6280    *-cygwin* | *-mingw*)
    60986281      coin_disable_shared=yes
    6099       platform=Cygwin
     6282      if test x"$enable_shared" = xyes; then
     6283        case "$CXX" in
     6284          clang* )
     6285            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     6286echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     6287            ;;
     6288          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     6289            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     6290echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     6291            ;;
     6292          *)
     6293            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     6294echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     6295            ;;
     6296        esac
     6297      fi
    61006298    ;;
    61016299    *-aix*)
    61026300      coin_disable_shared=yes
    61036301      platform=AIX
    6104     ;;
    6105     *-mingw*)
    6106       coin_disable_shared=yes
    6107       platform="Msys"
    6108 #      case "$CXX" in
    6109 #        cl*)
    6110 #          coin_disable_shared=yes
    6111 #          platform="Msys with cl"
    6112 #      ;;
    6113 #      esac
     6302      if test x"$enable_shared" = xyes; then
     6303        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     6304echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     6305      fi
    61146306    ;;
    61156307  esac
     
    61176309if test x"$coin_disable_shared" = xyes; then
    61186310  if test x"$enable_shared" = xyes; then
    6119     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    6120 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     6311    :
     6312  else
     6313    # we don't disable shared, because it was not selected anyway
     6314    coin_disable_shared=no
    61216315  fi
    61226316  enable_shared=no
     
    73637557*-*-irix6*)
    73647558  # Find out which ABI we are using.
    7365   echo '#line 7365 "configure"' > conftest.$ac_ext
     7559  echo '#line 7559 "configure"' > conftest.$ac_ext
    73667560  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73677561  (eval $ac_compile) 2>&5
     
    994910143   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    995010144   -e 's:$: $lt_compiler_flag:'`
    9951    (eval echo "\"\$as_me:9951: $lt_compile\"" >&5)
     10145   (eval echo "\"\$as_me:10145: $lt_compile\"" >&5)
    995210146   (eval "$lt_compile" 2>conftest.err)
    995310147   ac_status=$?
    995410148   cat conftest.err >&5
    9955    echo "$as_me:9955: \$? = $ac_status" >&5
     10149   echo "$as_me:10149: \$? = $ac_status" >&5
    995610150   if (exit $ac_status) && test -s "$ac_outfile"; then
    995710151     # The compiler can only warn and ignore the option if not recognized
     
    1021710411   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1021810412   -e 's:$: $lt_compiler_flag:'`
    10219    (eval echo "\"\$as_me:10219: $lt_compile\"" >&5)
     10413   (eval echo "\"\$as_me:10413: $lt_compile\"" >&5)
    1022010414   (eval "$lt_compile" 2>conftest.err)
    1022110415   ac_status=$?
    1022210416   cat conftest.err >&5
    10223    echo "$as_me:10223: \$? = $ac_status" >&5
     10417   echo "$as_me:10417: \$? = $ac_status" >&5
    1022410418   if (exit $ac_status) && test -s "$ac_outfile"; then
    1022510419     # The compiler can only warn and ignore the option if not recognized
     
    1032110515   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1032210516   -e 's:$: $lt_compiler_flag:'`
    10323    (eval echo "\"\$as_me:10323: $lt_compile\"" >&5)
     10517   (eval echo "\"\$as_me:10517: $lt_compile\"" >&5)
    1032410518   (eval "$lt_compile" 2>out/conftest.err)
    1032510519   ac_status=$?
    1032610520   cat out/conftest.err >&5
    10327    echo "$as_me:10327: \$? = $ac_status" >&5
     10521   echo "$as_me:10521: \$? = $ac_status" >&5
    1032810522   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1032910523   then
     
    1273812932  lt_status=$lt_dlunknown
    1273912933  cat > conftest.$ac_ext <<EOF
    12740 #line 12740 "configure"
     12934#line 12934 "configure"
    1274112935#include "confdefs.h"
    1274212936
     
    1283813032  lt_status=$lt_dlunknown
    1283913033  cat > conftest.$ac_ext <<EOF
    12840 #line 12840 "configure"
     13034#line 13034 "configure"
    1284113035#include "confdefs.h"
    1284213036
     
    1519815392   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1519915393   -e 's:$: $lt_compiler_flag:'`
    15200    (eval echo "\"\$as_me:15200: $lt_compile\"" >&5)
     15394   (eval echo "\"\$as_me:15394: $lt_compile\"" >&5)
    1520115395   (eval "$lt_compile" 2>conftest.err)
    1520215396   ac_status=$?
    1520315397   cat conftest.err >&5
    15204    echo "$as_me:15204: \$? = $ac_status" >&5
     15398   echo "$as_me:15398: \$? = $ac_status" >&5
    1520515399   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520615400     # The compiler can only warn and ignore the option if not recognized
     
    1530215496   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530315497   -e 's:$: $lt_compiler_flag:'`
    15304    (eval echo "\"\$as_me:15304: $lt_compile\"" >&5)
     15498   (eval echo "\"\$as_me:15498: $lt_compile\"" >&5)
    1530515499   (eval "$lt_compile" 2>out/conftest.err)
    1530615500   ac_status=$?
    1530715501   cat out/conftest.err >&5
    15308    echo "$as_me:15308: \$? = $ac_status" >&5
     15502   echo "$as_me:15502: \$? = $ac_status" >&5
    1530915503   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531015504   then
     
    1687217066   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1687317067   -e 's:$: $lt_compiler_flag:'`
    16874    (eval echo "\"\$as_me:16874: $lt_compile\"" >&5)
     17068   (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
    1687517069   (eval "$lt_compile" 2>conftest.err)
    1687617070   ac_status=$?
    1687717071   cat conftest.err >&5
    16878    echo "$as_me:16878: \$? = $ac_status" >&5
     17072   echo "$as_me:17072: \$? = $ac_status" >&5
    1687917073   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688017074     # The compiler can only warn and ignore the option if not recognized
     
    1697617170   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1697717171   -e 's:$: $lt_compiler_flag:'`
    16978    (eval echo "\"\$as_me:16978: $lt_compile\"" >&5)
     17172   (eval echo "\"\$as_me:17172: $lt_compile\"" >&5)
    1697917173   (eval "$lt_compile" 2>out/conftest.err)
    1698017174   ac_status=$?
    1698117175   cat out/conftest.err >&5
    16982    echo "$as_me:16982: \$? = $ac_status" >&5
     17176   echo "$as_me:17176: \$? = $ac_status" >&5
    1698317177   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1698417178   then
     
    1918319377   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1918419378   -e 's:$: $lt_compiler_flag:'`
    19185    (eval echo "\"\$as_me:19185: $lt_compile\"" >&5)
     19379   (eval echo "\"\$as_me:19379: $lt_compile\"" >&5)
    1918619380   (eval "$lt_compile" 2>conftest.err)
    1918719381   ac_status=$?
    1918819382   cat conftest.err >&5
    19189    echo "$as_me:19189: \$? = $ac_status" >&5
     19383   echo "$as_me:19383: \$? = $ac_status" >&5
    1919019384   if (exit $ac_status) && test -s "$ac_outfile"; then
    1919119385     # The compiler can only warn and ignore the option if not recognized
     
    1945119645   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1945219646   -e 's:$: $lt_compiler_flag:'`
    19453    (eval echo "\"\$as_me:19453: $lt_compile\"" >&5)
     19647   (eval echo "\"\$as_me:19647: $lt_compile\"" >&5)
    1945419648   (eval "$lt_compile" 2>conftest.err)
    1945519649   ac_status=$?
    1945619650   cat conftest.err >&5
    19457    echo "$as_me:19457: \$? = $ac_status" >&5
     19651   echo "$as_me:19651: \$? = $ac_status" >&5
    1945819652   if (exit $ac_status) && test -s "$ac_outfile"; then
    1945919653     # The compiler can only warn and ignore the option if not recognized
     
    1955519749   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955619750   -e 's:$: $lt_compiler_flag:'`
    19557    (eval echo "\"\$as_me:19557: $lt_compile\"" >&5)
     19751   (eval echo "\"\$as_me:19751: $lt_compile\"" >&5)
    1955819752   (eval "$lt_compile" 2>out/conftest.err)
    1955919753   ac_status=$?
    1956019754   cat out/conftest.err >&5
    19561    echo "$as_me:19561: \$? = $ac_status" >&5
     19755   echo "$as_me:19755: \$? = $ac_status" >&5
    1956219756   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1956319757   then
     
    2232922523          -e 's%lib /OUT:%lib -OUT:%' \
    2233022524          -e "s%cygpath -w%$CYGPATH_W%" \
    22331           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    22332           -e 's/$AR t/lib -nologo -list/' \
     22525          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     22526          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2233322527          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2233422528          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     
    2331323507s,@FILTERSQP_PCLIBS@,$FILTERSQP_PCLIBS,;t t
    2331423508s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    23315 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     23509s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    2331623510s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    2331723511s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.